using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SzokoevEldonto
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private bool Szokoev(int ev)
        {
            if (ev % 400 != 0 && (ev % 4 == 0 || ev % 100 == 0))
            {
                return true;
            }

            return false;
        }
        private void button1_Click(object sender, EventArgs e)
        {
            int ev = Convert.ToInt32(textBox1.Text);
            if (Szokoev(ev))
            {
                label2.Text = "Szökőév";
            }
            else
            {
                label2.Text = "Nem szökőév";
            }
        }
    }
}
